Datacenters
Carbon intensity
Returns the carbon intensity of the current hour for a specific cloud provider datacenter region in grams of CO2 equivalent per kWh (gCO2eq/kWh).
path Parameters
providerCloud provider identifier.
datacenter_code^[A-Za-z0-9-_]{2,64}… · requiredProvider-specific region or datacenter code, e.g. eu-west-1.
Headers
AuthorizationThe Authorization header is used to authenticate with the API using your API key. Value is of the format Bearer YOUR_KEY_HERE.
Carbon intensity › Responses
Carbon intensity for the requested datacenter.
providerCloud provider identifier the datacenter belongs to.
datacenter_codeProvider-specific region or datacenter code.
timestampStart of the hour this value applies to (UTC).
carbon_intensityCarbon intensity of the electricity serving this datacenter in grams of CO2 equivalent per kWh (gCO2eq/kWh).
Carbon intensity forecast
Returns the forecast carbon intensity for the next 24 hours for a specific cloud provider datacenter region, as hourly values in grams of CO2 equivalent per kWh (gCO2eq/kWh).
path Parameters
providerCloud provider identifier.
datacenter_code^[A-Za-z0-9-_]{2,64}… · requiredProvider-specific region or datacenter code, e.g. eu-west-1.
query Parameters
hoursNumber of hours to forecast ahead, from 1 to 24. Defaults to 24.
Headers
AuthorizationThe Authorization header is used to authenticate with the API using your API key. Value is of the format Bearer YOUR_KEY_HERE.
Carbon intensity forecast › Responses
Hourly carbon intensity forecast for the requested datacenter.
providerCloud provider identifier the datacenter belongs to.
datacenter_codeProvider-specific region or datacenter code.
Hourly forecast points, ordered from the current hour forwards.
Electricity mix
Returns the composition of electricity at the current hour for a specific cloud provider datacenter region. Split into the percentages of each source.
path Parameters
providerCloud provider identifier.
datacenter_code^[A-Za-z0-9-_]{2,64}… · requiredProvider-specific region or datacenter code, e.g. eu-west-1.
Headers
AuthorizationThe Authorization header is used to authenticate with the API using your API key. Value is of the format Bearer YOUR_KEY_HERE.
Electricity mix › Responses
Electricity mix for the requested datacenter.
providerCloud provider identifier the datacenter belongs to.
datacenter_codeProvider-specific region or datacenter code.
timestampStart of the hour this value applies to (UTC).
Share of electricity by source, as a percentage. Values sum to 100. Any sources with 0 are omitted.
Electricity mix forecast
Returns the forecast electricity mix for the next 24 hours for a specific cloud provider datacenter region, as hourly percentages of each source.
path Parameters
providerCloud provider identifier.
datacenter_code^[A-Za-z0-9-_]{2,64}… · requiredProvider-specific region or datacenter code, e.g. eu-west-1.
query Parameters
hoursNumber of hours to forecast ahead, from 1 to 24. Defaults to 24.
Headers
AuthorizationThe Authorization header is used to authenticate with the API using your API key. Value is of the format Bearer YOUR_KEY_HERE.
Electricity mix forecast › Responses
Hourly electricity mix forecast for the requested datacenter.
providerCloud provider identifier the datacenter belongs to.
datacenter_codeProvider-specific region or datacenter code.
Hourly forecast points, ordered from the current hour forwards.